- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QSQLite2Driver Class Reference

Search for all occurrences

## Detailed Description

Definition at line 86 of file qsql_sqlite2.h.

`#include <qsql_sqlite2.h>`

Inheritance diagram for QSQLite2Driver:
[legend]

List of all members.

## Public Member Functions
| QSQLite2Driver (QObject *parent=0)
| QSQLite2Driver (sqlite *connection, QObject *parent=0)
| ~QSQLite2Driver ()
bool | hasFeature (DriverFeature f) const
bool | open (const QString &db, const QString &user, const QString &password, const QString &host, int port, const QString &connOpts)
bool | open (const QString &db, const QString &user, const QString &password, const QString &host, int port)
void | close ()
QSqlResult * | createResult () const
bool | beginTransaction ()
bool | commitTransaction ()
bool | rollbackTransaction ()
QStringList | tables (QSql::TableType) const
QSqlRecord | record (const QString &tablename) const
QSqlIndex | primaryIndex (const QString &table) const
QVariant | handle () const
QString | escapeIdentifier (const QString &identifier, IdentifierType) const
## Friends
class | QSQLite2Result

## Constructor & Destructor Documentation

QSQLite2Driver | ( | QObject * | parent = `0` | ) | `[explicit]`

QSQLite2Driver | ( | sqlite * | connection,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QSQLite2Driver | ( |  | ) |

## Member Function Documentation

bool hasFeature | ( | DriverFeature | f | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

bool open | ( | const QString & | db,
|  | const QString & | user,
|  | const QString & | password,
|  | const QString & | host,
|  | int | port,
|  | const QString & | connOpts
| ) |  | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

bool open | ( | const QString & | db,
|  | const QString & | user,
|  | const QString & | password,
|  | const QString & | host,
|  | int | port
| ) |  | `[inline]`

Search for all occurrences

Definition at line 101 of file qsql_sqlite2.h.

                          { return open (db, user, password, host, port, QString()); }

void close | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QSqlResult* createResult | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

bool beginTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool commitTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool rollbackTransaction | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QStringList tables | ( | QSql::TableType |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QSqlRecord record | ( | const QString & | tablename | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QSqlIndex primaryIndex | ( | const QString & | table | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QString escapeIdentifier | ( | const QString & | identifier,
|  | IdentifierType |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

## Friends And Related Function Documentation

friend class QSQLite2Result `[friend]`

Search for all occurrences

Definition at line 89 of file qsql_sqlite2.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_sqlite2.h

QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver
QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver QSQLite2Driver